Name: ca_CNRS2-Grid-FR
Version: 1.52
Release: 1
Source: ca_CNRS2-Grid-FR-1.52.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_CNRS2-Grid-FR-1.52/d11f973e.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority CNRS2-Grid-FR

%if %([ -n "http://igc.services.cnrs.fr/GRID2-FR/" ] && echo 1 || echo 0)
URL: http://igc.services.cnrs.fr/GRID2-FR/
%endif

%if %([ -n "ca_CNRS2-Projets = 1.52" ] && echo 1 || echo 0)
Requires: ca_CNRS2-Projets = 1.52
%endif

%prep
%setup -n ca_CNRS2-Grid-FR-1.52

%description
This is the trust anchor for the classic accredited authority CNRS2-Grid-FR.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

